# GCP - Post-exploitation de Cloud Build

{{#include ../../../banners/hacktricks-training.md}}

## Cloud Build

Pour plus d'informations sur Cloud Build, consultez :

{{#ref}}
../gcp-services/gcp-cloud-build-enum.md
{{#endref}}

### `cloudbuild.builds.approve`

Avec cette permission, vous pouvez approuver l'exécution d'un **codebuild qui nécessite des approbations**.
```bash
# Check the REST API in https://cloud.google.com/build/docs/api/reference/rest/v1/projects.locations.builds/approve
curl -X POST \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json" \
-d '{{
"approvalResult": {
object (ApprovalResult)
}}' \
"https://cloudbuild.googleapis.com/v1/projects/<PROJECT_ID>/locations/<LOCATION>/builds/<BUILD_ID>:approve"
```
{{#include ../../../banners/hacktricks-training.md}}
